Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.SupportVectorMachines/3.2/HeuristicLabSupportVectorMachinesPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.SupportVectorMachines/3.2/HeuristicLabSupportVectorMachinesPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.SupportVectorMachines/3.2/HeuristicLabSupportVectorMachinesPlugin.cs	(revision 2587)
@@ -27,16 +27,16 @@
 
 namespace HeuristicLab.SupportVectorMachines {
-  [ClassInfo(Name = "HeuristicLab.SupportVectorMachines-3.2")]
-  [PluginFile(Filename = "HeuristicLab.SupportVectorMachines-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "LibSVM.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.DataAnalysis-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Modeling-3.2")]
-  [Dependency(Dependency = "HeuristicLab.SequentialEngine-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Logging-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Operators.Programmable-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Selection-3.2")]
+  [Plugin("HeuristicLab.SupportVectorMachines-3.2")]
+  [PluginFile("HeuristicLab.SupportVectorMachines-3.2.dll", PluginFileType.Assembly)]
+  [PluginFile("LibSVM.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.DataAnalysis-3.2")]
+  [PluginDependency("HeuristicLab.Modeling-3.2")]
+  [PluginDependency("HeuristicLab.SequentialEngine-3.2")]
+  [PluginDependency("HeuristicLab.Logging-3.2")]
+  [PluginDependency("HeuristicLab.Operators.Programmable-3.2")]
+  [PluginDependency("HeuristicLab.Random-3.2")]
+  [PluginDependency("HeuristicLab.Selection-3.2")]
   public class HeuristicLabSupportVectorMachinesPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.TestFunctions/3.2/HeuristicLabTestFunctionsPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.TestFunctions/3.2/HeuristicLabTestFunctionsPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.TestFunctions/3.2/HeuristicLabTestFunctionsPlugin.cs	(revision 2587)
@@ -29,9 +29,9 @@
   /// Plugin class for HeuristicLab.TestFunctions plugin.
   /// </summary>
-  [ClassInfo(Name = "HeuristicLab.TestFunctions-3.2")]
-  [PluginFile(Filename = "HeuristicLab.TestFunctions-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Plugin("HeuristicLab.TestFunctions-3.2")]
+  [PluginFile("HeuristicLab.TestFunctions-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Data-3.2")]
+  [PluginDependency("HeuristicLab.Operators-3.2")]
   public class HeuristicLabTestFunctionsPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.ThreadParallelEngine/3.2/HeuristicLabThreadParallelEnginePlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.ThreadParallelEngine/3.2/HeuristicLabThreadParallelEnginePlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.ThreadParallelEngine/3.2/HeuristicLabThreadParallelEnginePlugin.cs	(revision 2587)
@@ -29,7 +29,7 @@
   /// Plugin class for HeuristicLab.ThreadParallelEngine plugin.
   /// </summary>
-  [ClassInfo(Name = "HeuristicLab.ThreadParallelEngine-3.2")]
-  [PluginFile(Filename = "HeuristicLab.ThreadParallelEngine-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Plugin("HeuristicLab.ThreadParallelEngine-3.2")]
+  [PluginFile("HeuristicLab.ThreadParallelEngine-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
   public class HeuristicLabThreadParallelEnginePlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Tracing/3.2/HeuristicLabTracingPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Tracing/3.2/HeuristicLabTracingPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Tracing/3.2/HeuristicLabTracingPlugin.cs	(revision 2587)
@@ -3,9 +3,9 @@
 namespace HeuristicLab.Tracing {
 
-  [ClassInfo(Name = "HeuristicLab.Tracing-3.2")]
-  [PluginFile(Filename = "HeuristicLab.Tracing-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "log4net.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "log4net licence.txt", Filetype = PluginFileType.License)]
-  [PluginFile(Filename = "HeuristicLab.log4net.xml", Filetype = PluginFileType.Data)]
+  [Plugin("HeuristicLab.Tracing-3.2")]
+  [PluginFile("HeuristicLab.Tracing-3.2.dll", PluginFileType.Assembly)]
+  [PluginFile("log4net.dll", PluginFileType.Assembly)]
+  [PluginFile("log4net licence.txt", PluginFileType.License)]
+  [PluginFile("HeuristicLab.log4net.xml", PluginFileType.Data)]
   public class HeuristicLabPersistencePlugin : PluginBase {}
 
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Tracing/3.2/HiveLogger.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Tracing/3.2/HiveLogger.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Tracing/3.2/HiveLogger.cs	(revision 2587)
@@ -14,7 +14,5 @@
       if (string.IsNullOrEmpty(Settings.Default.TracingLog4netConfigFile)) {
         Settings.Default.TracingLog4netConfigFile =
-          Path.Combine(
-            PluginInfrastructure.Properties.Settings.Default.PluginDir,
-            "HeuristicLab.Hive.log4net.xml");
+            "HeuristicLab.Hive.log4net.xml";
       }
       XmlConfigurator.ConfigureAndWatch(
@@ -26,5 +24,5 @@
       Configure();
       StackFrame frame = new StackFrame(nParents + 1);
-      return LogManager.GetLogger(frame.GetMethod().DeclaringType);      
+      return LogManager.GetLogger(frame.GetMethod().DeclaringType);
     }
 
@@ -47,5 +45,5 @@
     }
 
-    public static void Error(object message) {      
+    public static void Error(object message) {
       GetDefaultLogger(1).Error(message);
     }
@@ -62,10 +60,10 @@
     public static void Info(Type type, object message) {
       Configure();
-      LogManager.GetLogger(type).Info(message);      
+      LogManager.GetLogger(type).Info(message);
     }
 
     public static void Warn(Type type, object message) {
       Configure();
-      LogManager.GetLogger(type).Warn(message);      
+      LogManager.GetLogger(type).Warn(message);
     }
 
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Tracing/3.2/Logger.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Tracing/3.2/Logger.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Tracing/3.2/Logger.cs	(revision 2587)
@@ -13,11 +13,9 @@
 
     protected static void Configure() {
-      if ( IsConfigured ) return;
+      if (IsConfigured) return;
       IsConfigured = true;
       if (string.IsNullOrEmpty(Settings.Default.TracingLog4netConfigFile)) {
-        Settings.Default.TracingLog4netConfigFile = 
-          Path.Combine(
-            PluginInfrastructure.Properties.Settings.Default.PluginDir,
-            "HeuristicLab.log4net.xml");
+        Settings.Default.TracingLog4netConfigFile =
+            "HeuristicLab.log4net.xml";
       }
       XmlConfigurator.ConfigureAndWatch(
@@ -29,5 +27,5 @@
       Configure();
       StackFrame frame = new StackFrame(nParents + 1);
-      return LogManager.GetLogger(frame.GetMethod().DeclaringType);      
+      return LogManager.GetLogger(frame.GetMethod().DeclaringType);
     }
 
@@ -50,5 +48,5 @@
     }
 
-    public static void Error(object message) {      
+    public static void Error(object message) {
       GetDefaultLogger(1).Error(message);
     }
@@ -65,10 +63,10 @@
     public static void Info(Type type, object message) {
       Configure();
-      LogManager.GetLogger(type).Info(message);      
+      LogManager.GetLogger(type).Info(message);
     }
 
     public static void Warn(Type type, object message) {
       Configure();
-      LogManager.GetLogger(type).Warn(message);      
+      LogManager.GetLogger(type).Warn(message);
     }
 
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Visualization.Test/3.2/HeuristicLabVisualizationTestApplication.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Visualization.Test/3.2/HeuristicLabVisualizationTestApplication.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Visualization.Test/3.2/HeuristicLabVisualizationTestApplication.cs	(revision 2587)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Visualization.Test {
-  [ClassInfo(Name = "HeuristicLab Data Visualization", Description="Test application for the HeuristicLab data visualization framework.")]
+  [Application("HeuristicLab Data Visualization", "Test application for the HeuristicLab data visualization framework.")]
   class HeuristicLabVisualizationTestApplication : ApplicationBase {
     public override void Run() {
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Visualization.Test/3.2/HeuristicLabVisualizationTestPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Visualization.Test/3.2/HeuristicLabVisualizationTestPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Visualization.Test/3.2/HeuristicLabVisualizationTestPlugin.cs	(revision 2587)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.Visualization.Test {
-  [ClassInfo(Name = "HeuristicLab.Visualization.Test-3.2")]
-  [PluginFile(Filename = "HeuristicLab.Visualization.Test-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Visualization-3.2")]
+  [Plugin("HeuristicLab.Visualization.Test-3.2")]
+  [PluginFile("HeuristicLab.Visualization.Test-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Visualization-3.2")]
   public class HeuristicLabVisualizationTestPlugin : PluginBase {
   }
Index: /branches/PluginInfrastructure Refactoring/HeuristicLab.Visualization/3.2/HeuristicLabVisualizationPlugin.cs
===================================================================
--- /branches/PluginInfrastructure Refactoring/HeuristicLab.Visualization/3.2/HeuristicLabVisualizationPlugin.cs	(revision 2586)
+++ /branches/PluginInfrastructure Refactoring/HeuristicLab.Visualization/3.2/HeuristicLabVisualizationPlugin.cs	(revision 2587)
@@ -23,7 +23,7 @@
 
 namespace HeuristicLab.Visualization {
-  [ClassInfo(Name = "HeuristicLab.Visualization-3.2")]
-  [PluginFile(Filename = "HeuristicLab.Visualization-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Plugin("HeuristicLab.Visualization-3.2")]
+  [PluginFile("HeuristicLab.Visualization-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Core-3.2")]
   public class HeuristicLabVisualizationPlugin : PluginBase {
   }
